import QtQuick 1.1

NetpulseWindow {
    id: root

    property bool fullscreen: false
    property variant leftSideDisplay
    property variant rightSideDisplay

    signal stopButtonPressed()

    page: "watch"

    function shown() {

    }

    anchors.fill: parent
    //absx: workoutViewContainer.x+23
    //absy: workoutViewContainer.y+23

    onMessageReceived: {
        if(message.op === "size")
            root.fullscreen = true
        print("netpulse watch message:" + message.op)
    }

    Connections {
        target: netpulse
        onFrozenChanged: root.fullscreen = false
    }

    TelevisionFullscreen {
        id: fullscreenFrame

        leftSideDisplay: root.leftSideDisplay
        rightSideDisplay: root.rightSideDisplay
        visible: root.fullscreen
        showHUD: true
        anchors.fill: parent

        onStopButtonPressed: root.stopButtonPressed()

        onSizeClicked: {
            netpulse.sendMessage({"op":"size","xpos":"183", "ypos":"171", "height":"406", "width":"1000"})
            root.fullscreen = false
        }
    }
}
