#!/bin/sh

# first argument is 0 or 1, to unmute or mute respectively
index=$(pacmd list-sink-inputs | egrep "index|application\.name" | grep -B1 "ALSA plug-in" | grep index | sed 's/.*index: //')
if [ -z "$index" ]; then
  echo "Failed: No sink-input for ALSA plug-in found"
  exit 1
fi
echo "Muting $index"
pacmd set-sink-input-mute $index $1
