#!/bin/sh

# Hauppauge 950Q
lsusb | grep -i 2040:7200 > /dev/null
if [ $? = 0 ] ; then
    echo ATSC
    # force firmware load of hauppauge tuner
    dvbscan > /dev/null
fi

# Hauppauge 930C
lsusb | grep -i 2040:b130 > /dev/null
if [ $? = 0 ] ; then
    echo DVB
fi

# Avermedia H830
lsusb | grep -i 07ca:0830 > /dev/null
if [ $? = 0 ] ; then
    echo DVB
fi

# Avermedia H869 ISDB
lsusb | grep -i 07ca:2869 > /dev/null
if [ $? = 0 ] ; then
    echo ISDB
fi

# Avermedia A331 DMB-T (China)
lsusb | grep -i 07ca:3331 > /dev/null
if [ $? = 0 ] ; then
    echo DMB
fi
